/// @example
///   a { @include underline(fade-out(blue, 0.7)); }
@mixin underline($color, $size: '1px', $position: '0 100%') {
  background-image: linear-gradient(to right, $color, $color);
  background-size: 10px #{$size};
  background-position: #{$position};
  background-repeat: repeat-x;
}
